.search__container {
	position: relative;
	margin: 55px auto 40px;

	@media (--mobile) {
		margin: 20px auto 20px;
	}
}

.search__input {
	height: 80px;
	background-color: #f2f2f2;
	color: #1f1f1f;
	font-weight: 800;
	font-size: 40px;
	border: 0;
	display: block;
	width: 100%;
	padding: 0 28px;
	outline: none;

	@media (--mobile) {
		padding: 0 20px;
		font-size: 24px;
		height: 60px;
	}
}

.search__submit {
	position: absolute;
	width: 80px;
	height: 80px;
	right: 0;
	top: 0;

	& svg {
		width: 40px;
		height: 40px;
		position: absolute;
		top: 50%;
		left: 50%;
		margin: calc(40px / 2 * -1) 0 0 calc(40px / 2 * -1);
		transition: fill 0.3s ease 0s;
		will-change: fill;
	}

	&:hover svg {
		fill: var(--color-main);
	}

	@media (--mobile) {
		width: 60px;
		height: 60px;

		& svg {
			width: 30px;
			height: 30px;
			margin: calc(30px / 2 * -1) 0 0 calc(30px / 2 * -1);
		}
	}
}
